Skip to main content

GET /api/smart/stablecoins

/api/smart/stablecoins

GET stablecoins data from smart service

Endpoint​

GET https://api.web3identity.com/api/smart/stablecoins

Example Request​

curl -s "https://api.web3identity.com/api/smart/stablecoins" | jq

Responses​

200 Success​

{
"stablecoins": [
{
"name": "Tether",
"symbol": "USDT",
"circulating": 95600000000,
"price": 0.9998
},
{
"name": "USD Coin",
"symbol": "USDC",
"circulating": 28450000000,
"price": 1.0001
},
{
"name": "DAI",
"symbol": "DAI",
"circulating": 5340000000,
"price": 1.0002
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec